## heat 2014.2

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-pbr (>= 0.6),
Build-Depends-Indep:
 python-alembic,
 python-babel (>= 1.3),
 python-boto (>= 2.4),
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-coverage (>= 3.6),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-extras,
 python-glanceclient (>= 1:0.14.0),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.8.0),
 python-heatclient (>= 0.2.9),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>=2.4.8),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-mox (>= 0.5.3),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.utils (>= 1.0.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.1.0),
 python-posix-ipc,
 python-paramiko,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-psycopg2,
 python-requests (>= 1.2.1),
 python-routes (>= 1.12.3),
 python-saharaclient (>= 0.7.3),
 python-setuptools,
 python-stevedore (>= 1.0.0),
 python-six (>= 1.7.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.8.4),
 python-swiftclient (>= 2.2.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.34),
 python-troveclient (>= 1:1.0.4),
 python-webob (>= 1.2.3),
 python-yaml (>= 3.1.0),
 subunit,
 testrepository (>= 0.0.18),
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/juno
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Depends:
 python-alembic,
 python-babel (>= 1.3),
 python-boto (>= 2.4),
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-coverage (>= 3.6),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-extras,
 python-glanceclient (>= 1:0.14.0),
 python-greenlet (>= 0.3.2),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-hacking (>= 0.8.0),
 python-heatclient (>= 0.2.9),
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>=2.4.8),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache,
 python-migrate (>= 0.9.1),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.utils (>= 1.0.0),
 python-oslosphinx (>= 2.2.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-psycopg2,
 python-requests (>= 1.2.1),
 python-routes (>= 1.12.3),
 python-saharaclient (>= 0.7.3),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.8.4),
 python-stevedore (>= 1.0.0),
 python-swiftclient (>= 2.2.0),
 python-troveclient (>= 1:1.0.4),
 python-webob (>= 1.2.3),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 python-heat (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils  --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf

override_dh_install:
	cp etc/heat/heat.conf.sample etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/heat heat-(\d.*)\.tar\.gz

## heat 2014.2.3

=== debian/changelog ===
heat (2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (a314229) (LP: #1443429)
   - [a052b06] Change the engine-listener topic
   - [9f02b3a] Just to delete the stack when adopt rollback
   - [691a06a] Release stack lock when successfully acquire
   - [d6770de] Add dependency on Router External Gateway property
   - [1339ac2] Use only FIP dependencies from graph
   - [9516cbe] Add dependency hidden on router_interface
   - [3ee82a3] Update heat.conf.sample
   - [7d4e570] Use properties.data when testing for "provided by the user"
   - [f6dfcc2] Fix update on failed stack
   - [848c59b] Catch notfound exception when deleting project
   - [e63549f] Enable https for keystone while creating stack user
   - [3ea6c6a] Stop patching oslo.messaging private bits
   - [a194a88] Don't mock oslo.messaging _CallContext
   - [42b032f] Ensure all Neutron LoadBalancer members are delete 
  * debian/patches/fix-requirements.patch: Rediffed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:35:20 -0400

heat (2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (423ee27) (LP: #1418695):
    - [b52c916] Convert bool/int values into string for string properties
    - [65294f4] Check that template format plugins are registered
    - [94dec9e] Disable nested validation for ResourceGroup with zero count
    - [c5346cd] Remove mocking of timeutils.utcnow
    - [d8abdfd] Always update nested stacks
    - [edf0198] ResourceGroup allow update of resource_def
    - [aabd3d8] Add Dimensions Default in AWS_CloudWatch_Alarm.yaml
    - [bbf7182] Fix error msg invalid stack or res name
    - [423ee27] Use kwargs for ResourcePropertyConflict exception
  * d/p/fix-requirements.patch: Rebased.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:12:41 -0500

heat (2014.2.1-0ubuntu2) utopic; urgency=medium

  * d/control: Add python-oslo.serialization to python-heat depends. Needed for
    heat-engine (LP: #1398952).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Dec 2014 17:30:04 -0500

heat (2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (a27d371) (LP: #1398952):
    - [9f30872] Remove check_uptodate.sh check from tox.ini
    - [808b5c7] Make ResourceGroup updates update nested stacks
    - [6958217] ResourceGroup don't special-case zero count
    - [6f5dfaa] SoftwareDeployments make servers property updateable
    - [dc1b99d] Use environment file in template-validate
    - [7acee56] StackResource consider files in implementation_signature
    - [5664854] Move implementation_signature to StackResource
    - [0401e75] Correctly set CombinationAlarm repeat_actions
    - [4b721a4] Use properties in ceilometer alarm not parsed_template('Properties')
    - [b3db67b] Make sure that property defaults are converted correctly
    - [1d6dc24] RandomString don't skip superclass validation
    - [9f2d209] unconfigured clients look in the [clients] section for defaults
    - [699cc62] Update sample conf for new oslo.db release
    - [a76ba37] Mark stack_domain_admin_password as a secret option
    - [e6c1292] Inherit roles for create_trust_context()
    - [c9d671c] Always using domain id to create domain project or user
    - [16215dd] Add CERT file support in heat-keystone-setup-domain
    - [79e2300] Fix add_dependencies for floating_ip resource
    - [840cedd] Correct CA cert argument for glanceclient
    - [3f7d4bb] Tolerate null on Json db load
    - [a27d371] Don't stop update immediately on error
  * d/control: Add python-oslo.serialization to Build-Depends-Indep.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 13:04:40 -0500

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python-cinderclient (>= 1:1.0.7),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-extras,
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
@@ -46,6 +46,7 @@
  python-oslo.db (>= 1.0.0),
  python-oslo.i18n (>= 1.0.0),
  python-oslo.messaging (>= 1.4.0),
+ python-oslo.serialization (>= 1.0.0),
  python-oslo.utils (>= 1.0.0),
  python-oslosphinx (>= 2.2.0),
  python-oslotest (>= 1:1.1.0),
@@ -88,7 +89,7 @@
  python-cinderclient (>= 1:1.0.7),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-extras,
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
@@ -111,6 +112,7 @@
  python-oslo.db (>= 1.0.0),
  python-oslo.i18n (>= 1.0.0),
  python-oslo.messaging (>= 1.4.0),
+ python-oslo.serialization (>= 1.0.0),
  python-oslo.utils (>= 1.0.0),
  python-oslosphinx (>= 2.2.0),
  python-paste,

## heat 2014.2.4

=== debian/changelog ===
heat (2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:38 -0500

heat (2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (e0e0165) (LP: #1518323):
    - [ef1c9e9] Expose stack_user_project_id in stack-show
    - [b2c2677] Always fetch temp URL key before generation
    - [c5555a4] Validate nova server's metadata
    - [2fb32b1] Make sure template resource's metadata is refreshed
    - [e62752f] Update template paths for environment-mapped TemplateResources
    - [788b2e3] stack delete fails when instance is soft deleted
    - [b0b1c4d] Don't re-bind environment for get_file during stack update
    - [2a6e291] Save updated-in-place resources to backup stack
    - [9ee5d62] Only write to template files if template data changes
    - [7e8fc3a] Make ResourceDefinition round-trip stable to avoid extra writes
    - [e182a57] ASG scaling account for cooldown timestamp & in-progress
    - [815065d] Fix stack-list after failed update
    - [fe53333] Prevent hanging in DELETE_IN_PROGRESS
    - [3a3b74a] Make sure to delete stack when SNAPSHOT_IN_PROGRESS
    - [31a7c63] Fix TypeError exception during cancel stack update
    - [46bef7a] Catch v3 keystone unauthorized error when creating stack
    - [70fb2e8] Fix the topic and server that the listener client uses
    - [6f65320] Add oslo.serialization to heat requirements
    - [fbc370a] Fix block_device_mapping property validation when using get_attr
    - [d011ce8] Add default_client_name in Nova::FloatingIPAssoc
    - [140d66e] Fix cloud-init Python syntax for Python < 2.6
    - [6a117f3] Add env storing for loaded environments
    - [40bfa60] Allow lists and strings for Json parameters via provider resources
    - [85edaa4] Authenticate the domain user with id instead of username
    - [46fb19b] Tell stevedore not to force verify requirements
    - [d4a27d2] RandomString physical_resource_id as id not the string
    - [e0e0165] Detect container failure when checking create complete
  * d/p/fix-requirements.patch: Rebase and revert python-oslo.i18n and
    python-oslo.utils to >= 1.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 14:08:23 -0500

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	rm -rf pbr*.egg
 	rm -f etc/heat/heat.conf
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	cp etc/heat/heat.conf.sample etc/heat/heat.conf
 	dh_install

## heat 2015.1~rc1

=== debian/control ===
--- 
+++ 
@@ -10,71 +10,80 @@
  Ghe Rivero <ghe.rivero@stackops.com>,
  Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu5~),
  python-all (>= 2.6.6-3~),
- python-pbr (>= 0.6),
+ python-pbr (>= 0.6)
 Build-Depends-Indep:
  python-alembic,
  python-babel (>= 1.3),
  python-boto (>= 2.4),
- python-ceilometerclient (>= 1.0.6),
- python-cinderclient (>= 1:1.0.7),
+ python-ceilometerclient (>= 1.0.13),
+ python-cinderclient (>= 1:1.1.0),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ python-eventlet (>= 0.16.1),
  python-extras,
- python-glanceclient (>= 1:0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-hacking (>= 0.8.0),
- python-heatclient (>= 0.2.9),
+ python-hacking (>= 0.9.4),
+ python-heatclient (>= 0.3.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>=2.4.8),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
+ python-kombu (>=2.5.0),
  python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
  python-memcache,
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mock (>= 1.0),
  python-mox (>= 0.5.3),
  python-mysqldb,
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
+ python-neutronclient (>= 1:2.3.11),
  python-novaclient (>= 1:2.18.0),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.serialization (>= 1.0.0),
- python-oslo.utils (>= 1.0.0),
+ python-oslo-config (>= 1:1.9.0),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-concurrency (>= 1.1.0),
+ python-oslo-db (>= 1.5.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-versionedobjects (>= 0.1.0),
  python-oslosphinx (>= 2.2.0),
- python-oslotest (>= 1:1.1.0),
- python-posix-ipc,
- python-paramiko,
+ python-oslotest (>= 1:1.2.0),
+ python-osprofiler (>= 0.3.0),
+ python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
+ python-posix-ipc,
  python-psycopg2,
- python-requests (>= 1.2.1),
+ python-requests (>= 2.2.0),
  python-routes (>= 1.12.3),
- python-saharaclient (>= 0.7.3),
+ python-saharaclient (>= 0.8.0),
  python-setuptools,
- python-stevedore (>= 1.0.0),
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-sphinx (>= 1.1.2),
- python-sqlalchemy (>= 0.8.4),
- python-swiftclient (>= 2.2.0),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.1.0),
+ python-swiftclient (>= 1:2.2.0),
  python-testrepository (>= 0.0.18),
+ python-testresources (>= 0.2.4),
  python-testscenarios (>= 0.4),
- python-testtools (>= 0.9.34),
- python-troveclient (>= 1:1.0.4),
+ python-testtools (>= 0.9.36),
+ python-troveclient (>= 1:1.0.7),
  python-webob (>= 1.2.3),
  python-yaml (>= 3.1.0),
  subunit,
- testrepository (>= 0.0.18),
-Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/juno
+ testrepository (>= 0.0.18)
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/heat/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/heat/kilo
 Homepage: http://wiki.openstack.org/Heat
 XS-Testsuite: autopkgtest
 
@@ -85,51 +94,57 @@
  python-alembic,
  python-babel (>= 1.3),
  python-boto (>= 2.4),
- python-ceilometerclient (>= 1.0.6),
- python-cinderclient (>= 1:1.0.7),
+ python-ceilometerclient (>= 1.0.13),
+ python-cinderclient (>= 1:1.1.0),
  python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ python-eventlet (>= 0.16.1),
  python-extras,
- python-glanceclient (>= 1:0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
+ python-hacking (>= 0.9.4),
+ python-heatclient (>= 0.3.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-hacking (>= 0.8.0),
- python-heatclient (>= 0.2.9),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>=2.4.8),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
+ python-kombu (>=2.5.0),
  python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
  python-memcache,
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mysqldb,
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
- python-novaclient (>= 1:2.18.0),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.serialization (>= 1.0.0),
- python-oslo.utils (>= 1.0.0),
+ python-neutronclient (>= 1:2.3.11),
+ python-novaclient (>= 1:2.22.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-concurrency (>= 1.1.0),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.5.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-versionedobjects (>= 0.1.0),
  python-oslosphinx (>= 2.2.0),
+ python-osprofiler (>= 0.3.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
  python-posix-ipc,
  python-psycopg2,
- python-requests (>= 1.2.1),
+ python-requests (>= 2.2.0),
  python-routes (>= 1.12.3),
- python-saharaclient (>= 0.7.3),
+ python-saharaclient (>= 0.8.0),
  python-setuptools,
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-sphinx (>= 1.1.2),
- python-sqlalchemy (>= 0.8.4),
- python-stevedore (>= 1.0.0),
- python-swiftclient (>= 2.2.0),
- python-troveclient (>= 1:1.0.4),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.1.0),
+ python-swiftclient (>= 1:2.2.0),
+ python-troveclient (>= 1:1.0.7),
  python-webob (>= 1.2.3),
  python-yaml (>= 3.1.0),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils  --with python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit '^(?!heat_integrationtests)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	oslo-config-generator --config-file=config-generator.conf
	cp etc/heat/heat.conf.sample etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/heat heat-(\d.*)\.tar\.gz

## heat 2015.1.0

=== debian/changelog ===
heat (2015.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 09:33:23 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               dh-python,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-ceilometerclient (>= 1.0.13),
                     python-cinderclient (>= 1:1.1.0),
                     python-coverage,
                     python-crypto,
                     python-eventlet (>= 0.16.1),
                     python-glanceclient (>= 1:0.15.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.1.0),
                     python-keystonemiddleware (>= 1.5.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.5),
                     python-mock,
                     python-mox,
                     python-mysqldb,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 2:2.22.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslo.versionedobjects (>= 0.1.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-osprofiler,
                     python-paramiko,
                     python-pastedeploy,
                     python-posix-ipc,
                     python-psycopg2,
                     python-qpid,
                     python-requests,
                     python-routes,
                     python-saharaclient (>= 0.8.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools,
                     python-troveclient (>= 1.0.7),
                     python-webob,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-ceilometerclient (>= 1.0.13),
         python-cinderclient (>= 1:1.1.0),
         python-crypto,
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-greenlet,
         python-heatclient (>= 0.3.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:1.1.0),
         python-keystonemiddleware (>= 1.5.0),
         python-kombu,
         python-lxml,
         python-memcache,
         python-migrate (>= 0.9.5),
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-oslo.versionedobjects (>= 0.1.1),
         python-osprofiler,
         python-pastedeploy,
         python-pbr,
         python-posix-ipc,
         python-qpid,
         python-requests,
         python-routes,
         python-saharaclient (>= 0.8.0),
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-swiftclient,
         python-troveclient (>= 1.0.7),
         python-webob,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e && set -x && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	oslo-config-generator \
		--namespace heat.common.config \
		--namespace heat.common.crypt \
		--namespace heat.common.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
		--namespace heat.openstack.common.eventlet_backdoor \
		--namespace heat.openstack.common.log \
		--namespace heat.openstack.common.policy \
		--namespace heat.api.middleware.ssl \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--wrap-width 120 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf

	dh_install --fail-missing -Xbin/cinder-keystone-setup
	set -e && for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-heat/usr/lib/python$$pyvers/dist-packages/heat/plugins ; \
		cp -rf contrib/heat_keystoneclient_v2/heat_keystoneclient_v2 $(CURDIR)/debian/python-heat/usr/lib/python$$pyvers/dist-packages/heat/plugins ; \
        done

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## heat 2015.1.2

=== debian/changelog ===
heat (2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (a4aafba) (LP: #1506058):
    - [a4aafba] Only write to template files if template data changes
    - [9e6d7c2] Make ResourceDefinition round-trip stable to avoid extra writes
    - [2f14f1f] Set resource status to FAILED when engine is down
    - [3ab316b] Include nested stacks in reset_stack_status
    - [2bffb12] Don't metadata_update all resources for deployment signals
    - [0fa81c2] Don't create events when signals don't perform an action
    - [382d038] Stack updated error if creation fails
    - [d8bdac7] Copy resource data in _delete_backup_stack
    - [8a2dcfa] Signal SoftwareDeployment resource
    - [22a404d] Allow empty/None output values
    - [9258321] Unlimited option max_resources_per_stack
    - [0d95270] Try to get the version of cloud init via popen
    - [05b2cc4] To use id instead of name when making credentials from context
    - [aeba790] Inherit files when restore
    - [ebc7994] Set correct tenant id when python-client init
    - [5d084a2] Make sure UpdatePolicy is unset for Heat scaling group
    - [d76094c] Refactor and correct purge_deleted
    - [5f86d05] Eventlet green threads not released back to pool
    - [edd2f8f] Work around problems storing huge properties in events
    - [92d2ac9] Fix RouterInterface properties validation
    - [88a216c] Adds resource uuid, volume support to lifecycle scheduler hints
    - [e889d66] Don't raise exception when get nested stack
    - [7248ec4] The cirros image is now cirros-0.3.4
    - [e9e2f50] Fix validation failure for TemplateResource
    - [be01cf1] Use atomic_key for deployment metadata updates
    - [21331a5] Always commit after deployment db operations
    - [7454b7b] Revert failing tests and use v3 for ec2 tokens
    - [cb3734b] Fix stack-list after failed update
    - [2d5f981] Fix server creation with block_device_mapping_v2
    - [274f96b] Support time-delays in server.resize
    - [034c582] ASG scaling account for cooldown timestamp & in-progress
    - [4a8282c] Correct stack identity when delete nested
    - [03ac6b1] Do not specify version for contrib plugins
    - [a748424] Switch total_resources to use stack_count_total_resources
    - [7e73da5] Don't copy exception classes
    - [8f43aee] Not all exceptions from remote stacks are internal exceptions
    - [f34a474] Fix unsupported format character error for multipart mime
  * debian/patches/fix-requirements.patch: Refreshed

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Oct 2015 08:50:03 -0400

heat (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (536dc83) (LP: #1481008):
    - [9ca4a53] Use action in check_*_complete method
    - [ed52c86] Produce more meaningful exception messages in nested stacks
    - [e35450a] Fix failures related to the mock 1.1.0 release
    - [ac5e71f] test_resource for functional tests
    - [c0d1b91] Improve StackValidationFailed response in properties
    - [99f95f0] Count all nested stack resources with DB operations
    - [5703a2f] Add domain when list users in heat-keystone-setup-domain
    - [18742d1] Heat could not create samples with Ceilometer
    - [a55f827] Missing template file on update fails silently
    - [1b5ff07] Failed to import test module in test
    - [b0be013] Add env storing for loaded environments
    - [a3bc0f6] Fix heat-db-setup error on rhel7.1
    - [3a7e7cb] Find root stack ID with database operations
    - [38b47eb] Continue to check if nova task is in progress
    - [8919a34] Catch exceptions in service status report
    - [754851d] Fix block_device_mapping property validation when using get_attr
    - [28a0639] Do not verify requirements on extension loading
    - [7148a96] Backup new resource as soon as possible
    - [da37773] Save updated-in-place resources to backup stack
    - [be9af28] Report status when engine start
    - [d2e70e4] Use snapshot's environment when stack restore
    - [612d806] Fix integration tests for tox>2.0
    - [ed2bed2] Fix property validation for TemplateResource during update
    - [a5297fe] Get rid of circular references in Resource and Function
    - [c7b1524] Sync oslo incubator
    - [06a5c0e] Generate stack events for stack state transitions
    - [aa4b90d] Update template paths for environment-mapped TemplateResources
    - [2a6378c] Fix TypeError exception during cancel stack update
    - [536dc83] Use SHA256 instead of SHA1 for resource signature
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2015 14:29:26 -0400

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils  --with python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit '^(?!heat_integrationtests)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	oslo-config-generator --config-file=config-generator.conf
	cp etc/heat/heat.conf.sample etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

## heat 2015.1.4

=== debian/changelog ===
heat (2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 16:59:56 -0400

heat (2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:58:46 +0000

## heat agents-11.0.0.0rc1

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD

## heat translator-3.3.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=6.0.0 # Apache-2.0
cliff>=4.9.1 # Apache-2.0
PyYAML>=3.13 # MIT
python-dateutil>=2.9.0 # BSD
tosca-parser>=2.12.0 # Apache-2.0
keystoneauth1>=5.11.0 # Apache-2.0
python-novaclient>=18.9.0 # Apache-2.0
python-heatclient>=4.2.0 # Apache-2.0
python-glanceclient>=4.8.0 # Apache-2.0
requests>=2.32.2 # Apache-2.0

oslo.log>=7.1.0 # Apache-2.0
